"use strict";

$(function() {
	var theCanvas = document.getElementById("theCanvas");
	var controller;

	$("#theCanvas").mousemove(function(event) {
		controller.onMouseMove(event.pageX - theCanvas.offsetLeft, event.pageY - theCanvas.offsetTop);
	});
	$("#theCanvas").mousedown(function(event) {
		controller.onMouseDown(event.pageX - theCanvas.offsetLeft, event.pageY - theCanvas.offsetTop);
	});

	var context = theCanvas.getContext("2d");
	var xSize = parseInt($("#theCanvas").attr("width"));
	var ySize = parseInt($("#theCanvas").attr("height"));
	controller = new Controller(context, xSize, ySize);
	controller.start();
});



function randomBetween(min, max) {
	return Math.floor(Math.random() * (max - min + 1)) + min;
}